export type ArticleItem = {
  id: number
  heading: string
  body: string
  [key: string]: string | number
}

export type FieldType<T> = {
  label: string
  data: keyof T
  render?: (value: any) => React.ReactNode
}

export const articleFields: Array<FieldType<ArticleItem>> = [
  {label: 'Заголовок', data: 'heading'},
  {label: 'Текст', data: 'body'},
]